The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

openSUSE Leap 15.3 перешёл на стадию бета-тестирования

03.03.2021 23:02

Опубликован бета-выпуск дистрибутива openSUSE Leap 15.3, сформированного на основе базового набора пакетов дистрибутива SUSE Linux Enterprise с некоторыми пользовательскими приложениями из репозитория openSUSE Tumbleweed. Для загрузки доступна универсальная DVD-сборка, размером 4.3 ГБ (x86_64, aarch64, ppc64les, 390x). Релиз openSUSE Leap 15.3 ожидается в июле 2021 года.

В отличие от прошлых выпусков openSUSE Leap, версия 15.3 построена не через пересборку src-пакетов SUSE Linux Enterprise, а с использованием единого с SUSE Linux Enterprise 15 SP 3 набора бинарных пакетов. Предполагается, что использование одних и тех же бинарных пакетов в SUSE и openSUSE упростит миграцию от одного дистрибутива к другому, сэкономит ресурсы на сборку пакетов, распространение обновлений и тестирование, унифицирует различия в spec-файлах и позволит отойти от диагностики разных сборок пакетов при разборе сообщений об ошибках. Рабочий стол Xfce обновлён до ветки 4.16.

  1. Главная ссылка к новости (https://news.opensuse.org/2021...)
  2. OpenNews: Arch Linux, Fedora, Debian, Slackware и openSUSE могут отказаться от поставки Chromium
  3. OpenNews: openSUSE обеспечит предсказуемый процесс формирования релизов
  4. OpenNews: Chromium будет удалён из репозиториев openSUSE, если не найдётся новый сопровождающий
  5. OpenNews: Альфа-выпуск дистрибутива openSUSE Jump с бинарными пакетами из SUSE Linux Enterprise
  6. OpenNews: Релиз дистрибутива openSUSE Leap 15.2
Лицензия: CC-BY
Тип: Программы
Короткая ссылка: https://opennet.ru/54695-opensuse
Ключевые слова: opensuse
Поддержать дальнейшую публикацию новостей на OpenNET.


Обсуждение (52) Ajax | 1 уровень | Линейный | +/- | Раскрыть всё | RSS
  • 1.1, Qwerty (??), 23:18, 03/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    Хороший дистрибутив. Жалко, что конструктор свой прикрыли.
     
     
  • 2.3, Аноним (3), 00:35, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Конструктор заменили на другой, с гораздо более высоким порогом вхождения, но зато более гибкий.
     
     
  • 3.13, Аноним (13), 08:58, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > высоким порогом вхождения

    ох уж этот ваш высокий порог вхождения головного мозга...

     
     
  • 4.26, fske (?), 12:16, 04/03/2021 Скрыто модератором
  • +2 +/
     
     
  • 5.39, Аноним (-), 18:36, 04/03/2021 Скрыто модератором
  • +/
     
     
  • 6.41, Аноним (41), 19:29, 04/03/2021 Скрыто модератором
  • +1 +/
     
  • 6.44, fske (?), 20:48, 04/03/2021 Скрыто модератором
  • +1 +/
     
  • 2.5, PHPoenX (ok), 01:20, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Конструктор уже давно в составе OBS
     
  • 2.51, валяйте (?), 16:45, 06/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Это какой?
     

  • 1.2, T00 (?), 00:02, 04/03/2021 Скрыто модератором [﹢﹢﹢] [ · · · ]
  • –2 +/
     
     
  • 2.19, Аноним (-), 10:04, 04/03/2021 Скрыто модератором
  • –6 +/
     
     
  • 3.43, Аноним (43), 19:40, 04/03/2021 Скрыто модератором
  • +/
     

     ....ответы скрыты модератором (2)

  • 1.4, тов. Майор (?), 01:10, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Какой теперь будет жизненый цикл релизов?
     
  • 1.7, Аноним (7), 04:30, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –3 +/
    Зачем он нужен?
     
     
  • 2.8, Аноным (ok), 05:46, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Для OBS, Yast
     

  • 1.9, Анонголик (?), 05:59, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –10 +/
    Сложный, да ещё и стстемд впридачу. Не одобряю!
     
     
  • 2.30, Аноним (30), 13:44, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Шутки про systemd устарели лет 7-10 назад. Теперь он повсюду и успешно решает свои задачи.

    Однако, это дошло еще не до всех. И кто-то до сих пор регулярно пересобирает мир, конфигурируя систему через переменные в Makefile перед сборкой... А на время компиляции мира на сервере, глядя на него через окошко PuTTY, ходит с виндовой машины на форумы и рассказывает, что раньше трава была зеленее, сочнее, забористее.

     
     
  • 3.36, пох. (?), 16:23, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Теперь он повсюду и успешно решает свои задачи.

    ну я рад за него, а нахера он ко мне приперся - решать свои задачи?

    Никаких моих задач - он не решает, он создает новые проблемы там где их раньше не было, в процессе решения "своих задач".

    А мир пересобирают в тех случаях, когда в этом мире ты что-то изменить можешь. Бешенно аплодирующие ненужно-д - разумеется, ничего и никогда не могли в нем изменить, они же не умеют кодить.

     
     
  • 4.38, Аноним (30), 18:32, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Systemd к тебе не перся - ты сам его установил в свою систему. Нахера - спроси себя сам.
     
     
  • 5.45, Vanych (?), 23:05, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Ну как это зачем? Чтобы быстрее и оптимальнее была загрузка и управление.
    Но есть еще "Спецы", мыслящие только последовательными строками .bat файла
     
     
  • 6.47, пох. (?), 23:43, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –3 +/
    > Ну как это зачем? Чтобы быстрее и оптимальнее была загрузка и управление.

    поздравляем вас, гражданин, соврамши - про "быстрее" воспользуйтесь поиском.

    > Но есть еще "Спецы", мыслящие только последовательными строками .bat файла

    Есть спецы, обслуживающие не только твой локалхост - и несколько расстраивающиеся, когда им "оптимально" и очень быстро виснут при загрузке. И вылечить эту проблему никаким нормальным способом нельзя.

    Или когда приходится пихать и пихать оверрайды вручную в каждую херь (а то и просто sleep 20, вот охрененно-то быстрая загрузка), потому что интерфейс, к которому должны цепляться все сервисы на этой машине, появляется в процессе загрузки не сразу, и ip на нем тоже не сразу возникает.
    А управляемый старт системы был вам ненужно.

    Или когда просто "эта версия systemdряни несовместима с этим недостаточно модным ведром". Вот это вообще уникальное достижение. Что-то как-то я не могу себе представить init несовместимый с ядром.

    Меня продолжает изумлять нулевая квалификация бешенно аплодирующих системдряни - ну вы же ПОЛНЫЕ НИЧТО. Вы НИХРЕНА не профессионалы - так ЗАЧЕМ вам вообще иметь какие-то мнения о том, в чем вы ничерта не понимаете?

     
     
  • 7.49, Vanych (?), 10:55, 05/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > про "быстрее" воспользуйтесь поиском.

    - вот даже не предполагал, что ты считаешь интернет кладезем правдивой информации :-(
    Я тебя больше уважал. Мне достаточно собственного опыта и появившихся возможностей

    > Есть спецы, обслуживающие не только твой локалхост - и несколько расстраивающиеся, когда
    > им "оптимально" и очень быстро виснут при загрузке. И вылечить эту
    > проблему никаким нормальным способом нельзя.
    > Или когда приходится пихать и пихать оверрайды вручную в каждую херь...
    > А управляемый старт системы был вам ненужно.

    - Кривые руки и прямые мозги лечению не поддаются - таким прямая дорога в стройбат - там все просто и за тебя думают, и задача простая - бери больше, кидай дальше.

    > Меня продолжает изумлять нулевая квалификация бешенно аплодирующих системдряни - ну вы
    > же ПОЛНЫЕ НИЧТО. Вы НИХРЕНА не профессионалы - так ЗАЧЕМ вам
    > вообще иметь какие-то мнения о том, в чем вы ничерта не
    > понимаете?

    - В выборе любого пути всегда есть плюсы и минусы, главное выбрать правильно и нужное в необходимой перспективе.
    - Даже представить не могу, как ты стенал, повизгивал, плевался, крушил от бессилия, когда Билли выкинул autoexec.bat и заставил тебя работать с Registry

     
  • 5.46, пох. (?), 23:34, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Systemd к тебе не перся - ты сам его установил в свою

    какую еще свою? Своей у меня нету, у тебя тоже. Ихняя она.

    > систему. Нахера - спроси себя сам.

    Ответственные товарищи пять раз проголосовали, и перешли на новый стандарт, следом за редхатом. У меня, к сожалению, нет лишней жизни и бесконечных денег, чтобы запилить себе свою операционную систему, а если бы были - хрена с два я бы этим стал заниматься.

     
     
  • 6.50, Vanych (?), 11:03, 05/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >> Systemd к тебе не перся - ты сам его установил в свою
    > Ответственные товарищи пять раз проголосовали, и перешли на новый стандарт, следом за
    > редхатом. У меня, к сожалению, нет лишней жизни и бесконечных денег,
    > чтобы запилить себе свою операционную систему, а если бы были -
    > хрена с два я бы этим стал заниматься.

    - Да не надо пилить свою OS, достаточно собрать необходимые конфигурации под свои задачи. Если конечно, есть экспириенс.
    Если люди пользуются массовым блюдом "жри-что-дали", то пусть радуются, что за них подумали более умные и они сыты.


     

  • 1.10, Аноним (10), 08:05, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +4 +/
    Второй для меня по годности дистрибутив после Дебиана из известных, неплохо зарекомендовавших и пригодных для десктопа здорового человека.
    Переезд на единую с энтерпрайзной версией базу пакетов очень одобряю, в современном мире линуксовых нововведений сусисты прям радуют относительно завидной адекватностью решений. Тьфу-тьфу-тьфу, шоб не сглазить!
    Желаю продолжать в том же духе и долгих лет жизни проекту!
     
     
  • 2.31, Аааааа (?), 14:36, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Здоровому человеку криптопровайдеры не нужны и прочий проприетарный софт?
     
  • 2.37, zzz (??), 17:15, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Ну как сказать - пригодных. Репы скудные, чтобы избавиться от жалоб на отсутствие пакета при запуске OnlyOffice пришлось подключать левые репы, и в целом постоянно приходится шариться по хомякам OBS. В то же время Flatpak в 15.2 нормально не работал, а попытка установить snap закончилась ничем.
     

  • 1.11, Аноним (11), 08:21, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Народ, подскажите пожалуйста, как в опенсусях вообще работают обновления с версии на версию? Насколько адекватно работает апгрейд системы с одной версии на другую, особенно если поставить бета-версию и пытаться жить на ней до релиза и далее?
    С опенсусей знаком мало, сбивает с толку непонятная ситуация с поддержкой промежуточных минорных версий, вроде как 42.2,42.3 и 15.0,15.1 это минорные версии соответственно 42ой и 15ой версий системы, а у них какой-то отдельный срок поддержки, это как вообще работает? Может быть со стороны опенсусеров вопросы кажутся довольно дурацкими, но для человека с убунт такой сценарий обновления и поддержки системы непривычны, прошу понять и простить, а главное разъяснить что и как есть!
     
     
  • 2.12, Аноним (12), 08:45, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +3 +/
    Без проблем,
    Переменную releasever должны были уже добавить, точно не уверен но на всякий
    1. sudo sed -i 's/15.2/$releasever/g' /etc/zypp/repos.d/*
    нужно выполнить всего один раз, дальше переменная будет подставляться сама при последующих обновлениях.
    2. sudo zypper --releasever 15.3 ref
    3. отключаешь репы у которых вылезла ошибка
    4. sudo zypper --releasever 15.3 dup
    5. Перезагружаешь
     
     
  • 3.15, Аноним (15), 09:21, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > sudo sed -i 's/15.2/$releasever/g' /etc/zypp/repos.d/*

    Энтерпрайзненько. Теперь буду знать, что в сусях до самого последнего момента не было даже банальных переменных в репо-файлах. В других RPM-based дистрах они наверное существовали с 2000 года без преувеличения.

     
     
  • 4.21, пох. (?), 10:43, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Видите ли, до определенного момента не всем нравилось "угадай, какой версии у тебя сегодня система". (и из какой задницы мы эту переменную заполнили чем попало)

    А теперь уже всем наплевать, версия ситемды должна быть наисвежайшей, а не то! Можно не обновлять конфиги раз в пять лет при апгрейде.

    И нет, не с 2000 - просто в твоем детском садике еще не было линуксов.


     
  • 3.16, Аноним (16), 09:32, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    а на следующий LTS будующей 16й версии так сработает ?
     
     
  • 4.17, Аноним (12), 09:39, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    да
     
  • 3.28, PnD (??), 13:32, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    Действие №1 лучше выполнять "руками". Оно затронет всякие "one-click-install" репозитории. Тот же "multimedia:apps" скорее всего (почти наверняка установлен на десктопе).

    Заодно проведёте ревизию понаустановленного. И не будете удивляться, когда что-то типа "1502" превратится в "$releasever" (насколько помню, "." в дефолтном режиме sed такой же wildcard, как и в grep).
    * Не поленился проверить:
    # echo 1502 | sed 's/15.2/$releasever/g'
    $releasever

     

  • 1.14, ryoken (ok), 09:12, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Ещё б оно под ppc64 ставилось. А то образ есть, а установить на повермак - фиК.
     
     
  • 2.18, guser (?), 10:02, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Потому что ставьте morphos
     
     
  • 3.20, ryoken (ok), 10:07, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Потому что ставьте morphos

    https://morphos-team.net/hardware
    Only PowerMac 7,2 and PowerMac7,3 (A1047) are fully supported.
    Имеет место быть 11,2 (G5 Quad). Да и половины железа не ест. (Видеокарту (GeForce7800), SAS (LSI 3041 E-R))

     
  • 2.22, пох. (?), 10:45, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Подарить тебе коробку с 6.0 ? Она как раз ровесница твоего павертреша, наверняка поставится.

    Ну умерла твоя платформа, двадцать лет уже как. Хватит ее трахать, пора похоронить с почестями.

     
     
  • 3.23, ryoken (ok), 11:56, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –2 +/
    > Подарить тебе коробку с 6.0 ? Она как раз ровесница твоего павертреша,
    > наверняка поставится.

    Это что..?

    > Ну умерла твоя платформа, двадцать лет уже как. Хватит ее трахать, пора
    > похоронить с почестями.

    Что мне делать с моим железом, я как-нибудь сам решу. (Тот же Диван пока что устанавливается на PIII).

     
     
  • 4.25, пох. (?), 12:08, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Это что..?

    opensuse 6
    Кажется, 2000й год (но могу ошибаться, тогда 2002й)
    Поддержка powerмаков есть, но я дальше G3 не пробовал. На нем работало.

    > Что мне делать с моим железом, я как-нибудь сам решу.

    чтобы самому что-то решать - надо самому что-то уметь. А ты не умеешь кодить, да и второй и третьей жизни и бесконечных денег у тебя нет. Нытье на опеннете не поможет.

    > Тот же Диван пока что устанавливается на PIII

    это не их заслуга. Просто для этого пока не нужны никакие специальные усилия (но гугль уже бежит на помощь [педобиржпг], и завтра у тебя там не запустится браузер). А для такого же древнего огрызка - увы, нужны, там даже загрузчик анально-огороженный в каждой версии по-своему.

     
     
  • 5.27, ryoken (ok), 13:29, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > opensuse 6
    > Кажется, 2000й год (но могу ошибаться, тогда 2002й)
    > Поддержка powerмаков есть, но я дальше G3 не пробовал. На нем работало.

    Поновее бы, чтоб пакетную базу хотя бы до 14-15 релиза дотянуть можно было...

    > Нытье на опеннете не поможет.

    Я не ною, я интересуюсь. В большинстве случаев.

    >> Тот же Диван пока что устанавливается на PIII
    > усилия (но гугль уже бежит на помощь [педобиржпг], и завтра у
    > тебя там не запустится браузер). А для такого же древнего огрызка
    > - увы, нужны, там даже загрузчик анально-огороженный в каждой версии по-своему.

    А браузер на П3 в Диване мне не нужен, он там всё равно в консольном виде стоит, как передатчик файлов с файл-сервера под ДОСы всякие :-P. (Хотя вкрутить CoreBoot на p3b-F резервный - было бы интересно, но его кажись уже отстригли.)

     
  • 3.24, Аноним (24), 12:01, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    А по-моему годная мания. Так ведь и вкорячит туда рано или поздно интересненькое, приятно будет полюбоваться на сие судо.
     
     
  • 4.29, ryoken (ok), 13:39, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > А по-моему годная мания. Так ведь и вкорячит туда рано или поздно
    > интересненькое, приятно будет полюбоваться на сие судо.

    Щас там (PowerMac G5Quad) живут: Mac OS Tiger (клиент), Mac Os Tiger (server), Leopard (client), Leopard (Server), Gentoo, Void. Дефолтный старт - Gentoo (Встроенный SATA). Тигр и Леопард тоже на SATA, остальные на SAS винтах. (1 или 2 ли ещё ссвободные есть, но всякое xBSD не взлетает).

     
     
  • 5.33, анонэ (?), 15:22, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >но всякое xBSD не взлетает

    они даже на современном железе не работают (если вы не вендор и не написали дрова ручками сотрудников)

     
     
  • 6.35, ryoken (ok), 15:36, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > они даже на современном железе не работают (если вы не вендор и
    > не написали дрова ручками сотрудников)

    Про то, что фря после установки то загрузчик не осиливает поставить, то загрузиться в установленное - я кажется уже писал :). NetBSD на этот аппарат просто не лезет, с Опёнком тоже тараканы.

     

  • 1.32, Некто с Марса и Сникерса (?), 14:41, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Второй по годности послe Red Hat enterprize distro. И да, YaST ещё не выпилили?
     
     
  • 2.34, ryoken (ok), 15:35, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Второй по годности послe Red Hat enterprize distro. И да, YaST ещё
    > не выпилили?

    Их там вроде даже 2! Yast & Yast2 :D. Возможно ссылки с одного на другое.

     
  • 2.42, user90 (?), 19:30, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    Был. Лет 7 так назад (но это не точно). А ведь есть лохи, которые проглотили все изменения последних лет! Б-же, что за ослы..
     

  • 1.40, user90 (?), 19:27, 04/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • –1 +/
    Да-да, не смогли они поддерживать 2е версии, с ситемдой и без. А значит нах*р нужны!
     
     
  • 2.48, пох. (?), 23:48, 04/03/2021 [^] [^^] [^^^] [ответить]  
  • –1 +/
    > Да-да, не смогли они поддерживать 2е версии, с ситемдой и без. А
    > значит нах*р нужны!

    а они и не собирались - в отличие от дебиана, им очень понравилась идея, и они немедленно выпили.

    Макаки одобряют, количество юзверей ляпа увеличилось, правда, в дуалбуте с б-жественной семерочкой, как обычно. Потом они ляп, естественно, выпиливают, и возвращаются к работе.

     

  • 1.52, Аноним (43), 20:04, 07/03/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    Сделали дичь с Yast. Нестабильна в ряде рабочих ситуаций. Перешёл с OpenSUSE на Fedora.

    Держу в курсе.

     
     
  • 2.53, анон (?), 15:54, 08/03/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Ого на какой стабильный дистрибутив перешел! А что не так было с opensuse?
     

     Добавить комментарий
    Имя:
    E-Mail:
    Текст:
    При перепечатке указание ссылки на opennet.ru обязательно



    Спонсоры:
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2021 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру